#pragma once
#include "domain/bridge_info.h"
#include <optional>

namespace spin
{
    class IBridgeConnectionStatusProvider
    {
    public:
        virtual ~IBridgeConnectionStatusProvider() = default;
        virtual std::optional<BridgeInfo> bridgeInfo() const = 0;
    };
    
} // namespace spin